> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Group Notification Policies

> Get notification policies directly bound to a portfolio group.



## OpenAPI

````yaml /api-reference/openapi.json get /portfolio/groups/{group_id}/notification_policies
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/groups/{group_id}/notification_policies:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Portfolio Group Notification Policies
      description: Get notification policies directly bound to a portfolio group.
      operationId: >-
        get_portfolio_group_notification_policies_portfolio_groups__group_id__notification_policies_get
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/v1.NotificationPolicyResponse'
                type: array
            application/vnd.baselayer.v1+json:
              schema:
                items:
                  $ref: '#/components/schemas/v1.NotificationPolicyResponse'
                type: array
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.NotificationPolicyResponse:
      description: Represents a notification policy response.
      properties:
        id:
          description: The unique identifier of the notification policy.
          format: uuid
          title: Id
          type: string
        type:
          description: The type of notification policy (email, slack, webhook).
          examples:
            - email
            - slack
            - webhook
          title: Type
          type: string
        name:
          description: The name of the notification policy.
          title: Name
          type: string
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The unique identifier of the portfolio group (if applicable).
          title: Group Id
        item_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The unique identifier of the portfolio item (if applicable).
          title: Item Id
        enabled:
          description: Whether the notification policy is enabled.
          title: Enabled
          type: boolean
        cadence:
          $ref: '#/components/schemas/v1.MonitoringCadence'
          description: The notification cadence (daily, weekly, monthly, yearly).
          examples:
            - daily
            - weekly
            - monthly
            - yearly
        last_run_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the notification policy was last executed.
          title: Last Run At
        next_run_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: When the notification policy is scheduled to run next.
          title: Next Run On
        attributes:
          default: []
          description: List of attributes to notify on (officers, alternative_names).
          examples:
            - - officers
            - - alternative_names
          items:
            $ref: '#/components/schemas/v1.NotifiableAttributes'
          title: Attributes
          type: array
        recipients:
          default: []
          description: List of email recipients for email notification policies.
          examples:
            - - user@example.com
              - admin@example.com
          items:
            type: string
          title: Recipients
          type: array
        created_at:
          description: When the notification policy was created.
          format: date-time
          title: Created At
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the notification policy was last updated.
          title: Updated At
      required:
        - id
        - type
        - name
        - enabled
        - cadence
        - created_at
      title: NotificationPolicyResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.MonitoringCadence:
      description: The cadence of monitoring.
      enum:
        - daily
        - weekly
        - biweekly
        - monthly
        - quarterly
        - biannually
        - annually
      title: MonitoringCadence
      type: string
    v1.NotifiableAttributes:
      enum:
        - registration_health
        - new_registrations
        - addresses
        - officers
        - alternative_names
        - kyb_score
        - risk_score
        - identity_network
        - pep
        - ofac
        - liens
        - litigations
        - bankruptcies
        - website_analysis
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````